Namespace
library
Image / Tag
consul:1.7.10
Content Digest
sha256:10f70219750882a5e3021827e6fb1f122028740b76633cb6badd3b2a2096448a
Details
Created

2020-12-11 05:58:33 UTC

Size

40 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.10

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b62269920a7a62a905817c7c1b33f33b6e658121e9a054715ff052a23f7de3a0 - 6.66% (2.66 MB)

[#001] sha256:d2cc0f6337d59b4f548d58ec56698a57d683ff821774692e5ca36700323e3e27 - 0.0% (1.2 KB)

[#002] sha256:67bde287b2ce9b4cd93c59e085663fc0ef9ec7d645c9ca3b0e6a8528450a5082 - 93.33% (37.3 MB)

[#003] sha256:62fa7e1c5063e3685ccb2cf8fd22f93c23168f1dcf048f7c157d77d0de90dc7e - 0.0% (143 Bytes)

[#004] sha256:9143144e1c3b602b450b4c2e2e340d965095f4532be4e2c72bb0197affa879cb - 0.0% (153 Bytes)

[#005] sha256:8c2c20f4ce0e208b444438ab9ac69e85751340626733638110e138117be30e83 - 0.0% (1.67 KB)


History
2020-12-11 02:01:14 UTC

/bin/sh -c #(nop) ADD file:8812e502f26af2dc4efdfb7387f8bf99f2a098b6c95b9f6abf900df2ce74e3da in /

2020-12-11 02:01:14 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-11 05:57:39 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-12-11 05:58:24 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.10

2020-12-11 05:58:24 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-12-11 05:58:25 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-12-11 05:58:30 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-12-11 05:58:31 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-12-11 05:58:32 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-12-11 05:58:32 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-12-11 05:58:32 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-12-11 05:58:32 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-12-11 05:58:32 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-12-11 05:58:33 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-12-11 05:58:33 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-12-11 05:58:33 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-12-11 02:56:27 UTC

Size

41.1 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.10

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:05e7bc50f07f000e9993ec0d264b9ffcbb9a01a4d69c68f556d25e9811a8f7f4 - 6.49% (2.67 MB)

[#001] sha256:574c36a12202c0f0e34f4b8bf84ddde9f9a0924c19895a461058527f3a0a2cdd - 0.0% (1.2 KB)

[#002] sha256:0855f7e506d7ddff6882d7974e8eb68c3505d7c723ad5698323743bd64fcd902 - 93.5% (38.4 MB)

[#003] sha256:9f1238aa95aaba6e5cdc6775497bf004a2e4228df6c8da4e7b2bfa7ef9c4f794 - 0.0% (143 Bytes)

[#004] sha256:36b6c78cc972e1067d1fd8489942639d41f191f3905fc0ce3a2e7130aac3d1be - 0.0% (154 Bytes)

[#005] sha256:d02172411f977cfe47523404a06fd5b7b3d3cda3780e621ca6740a4431d8e236 - 0.0% (1.67 KB)


History
2020-12-11 02:04:06 UTC

/bin/sh -c #(nop) ADD file:62a1e09319acb6d1bad91ef1c35aabdc7e5e19883a77f30f1951ccfffc812124 in /

2020-12-11 02:04:07 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-11 02:55:15 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-12-11 02:56:13 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.10

2020-12-11 02:56:14 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-12-11 02:56:15 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-12-11 02:56:22 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-12-11 02:56:24 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-12-11 02:56:25 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-12-11 02:56:25 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-12-11 02:56:25 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-12-11 02:56:26 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-12-11 02:56:26 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-12-11 02:56:26 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-12-11 02:56:26 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-12-11 02:56:27 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-12-11 03:14:33 UTC

Size

37 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.10

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f1c16df8fee33d421d08790b17ca2af67a3fe49e77b6b991dd0c30631f5d1baf - 6.7% (2.48 MB)

[#001] sha256:51852c5441a1739bfd2fd44d72a137049d91ef2f49859b5fccc8759ba0cb1bf2 - 0.0% (1.23 KB)

[#002] sha256:ffa8f2bb5e3abfd423e07b0274446bad10a00fb8fd9b8320a51453de05ca4b29 - 93.29% (34.5 MB)

[#003] sha256:ed119e91f77258272fcc9f00e6ee4a59d027f2f488222190b9e7ee746b7363ad - 0.0% (176 Bytes)

[#004] sha256:2c0e736e249123fde558821ed3d7ef19280c9f09a9c7b74fd2fc820443aecb8b - 0.0% (154 Bytes)

[#005] sha256:77ce1b2809985eaa734d3cec1c396b39161405e05ff4c03bc841d28c82ea1829 - 0.0% (1.67 KB)


History
2020-12-11 02:17:15 UTC

/bin/sh -c #(nop) ADD file:1a9c0a67560d338c0c0e7005d8915d998fc9cf3e9f53bfd7e42e8391f0a39bce in /

2020-12-11 02:17:15 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-11 03:12:13 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-12-11 03:14:03 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.10

2020-12-11 03:14:05 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-12-11 03:14:07 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-12-11 03:14:20 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-12-11 03:14:23 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-12-11 03:14:26 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-12-11 03:14:28 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-12-11 03:14:29 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-12-11 03:14:30 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-12-11 03:14:31 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-12-11 03:14:31 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-12-11 03:14:32 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-12-11 03:14:33 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-12-11 03:38:45 UTC

Size

37.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.7.10

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:a3cc7d3b244e0bac4f32b7529f804d1ab735b088ea432061c3949b2a890b919f - 6.94% (2.58 MB)

[#001] sha256:fa364485c4dcfa8c805b53954ed13ed2bb898bd74c46ab466b19390625e5558a - 0.0% (1.23 KB)

[#002] sha256:0402de5324fafc277321623fb0c59a46777b22c85b4bfc0450ae9addeda26bae - 93.06% (34.6 MB)

[#003] sha256:789221dee44f58800ceb933315f12ef86eba5cc319892c5946452f14de5b9d52 - 0.0% (176 Bytes)

[#004] sha256:59e5f481fcc0adfae657dd6760bcb27bbff836c1a2303ccaa0c97052d2d5b05e - 0.0% (153 Bytes)

[#005] sha256:d525323bafec8cd9371bb3c74361299642ca0eb785c395f66d689b9b3b123059 - 0.0% (1.67 KB)


History
2020-12-11 02:42:58 UTC

/bin/sh -c #(nop) ADD file:a1a6d0f8dffb9bc75438921cdb5c04d2f2f49400a7526dcf3d8dff9238e3235a in /

2020-12-11 02:43:00 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-11 03:36:07 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-12-11 03:38:12 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.10

2020-12-11 03:38:13 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-12-11 03:38:18 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-12-11 03:38:27 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-12-11 03:38:32 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-12-11 03:38:37 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-12-11 03:38:38 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-12-11 03:38:39 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-12-11 03:38:41 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-12-11 03:38:43 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-12-11 03:38:44 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-12-11 03:38:45 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-12-11 03:38:45 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]